require( "scripts/game/deftime.lua" );
-- не настраивать
GameObject = {
    Params = {
        ID="workshop";
        image="workshop2";
        width=5;
        height=3;
        GridData = { 
            1,1,1,1,1,
            1,1,1,1,1,
            1,1,1,1,1
        };
    };
    -- точки подхода персонажа
    ActivePoints = { 
        tools = { 
                        { {"ground","sheep","cow","tomato","corn", "pumpkins"}, 2,-1,0,  0,  2,-1,0 };
                   }; 
    };
    Objects = {};
    -- перечисление всех задач для обьекта
    Tasks = {};
    -- перечисление всех триггеров для обьекта
    Triggers = {};
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = {};
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
    -- акция
    Action = {  
        Name = "tools";  
        IDs = { "ground","sheep","cow","tomato","corn", "pumpkins" };
        CanMany = 1;
    }
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end

